Index: lines
===================================================================
--- lines	(revision 3493)
+++ lines	(working copy)
@@ -11,6 +11,9 @@
 aeroway=runway [0x27 resolution 20]
 aeroway=taxiway [0x27 resolution 24]
 
+# add opposite cycleway where necessary to one way roads
+highway=* & (oneway=yes | oneway=-1 | oneway=true | oneway=1 | oneway=reverse) & (oneway:bicycle=no | cycleway=opposite | cycleway=opposite_lane | cycleway=opposite_track) {delete oneway; delete cycleway; set access=no; delete foot; delete vehicle; delete motor_vehicle; delete motorcar; delete goods; delete hgv; delete psv; delete emergency; delete taxi; delete bus; add bicycle=yes; set highway=cycleway; delete maxspeed; set mkgmap:synthesised=true} [0x07 road_class=0 road_speed=1 resolution 24 continue]
+
 # Assign the street name for house number search
 highway=* & name=* { set mkgmap:street='${name}' }
 
@@ -194,9 +197,6 @@
 # calculate the access rules
 include 'inc/access';
 
-#limit artificial cycleways to to resolution 24
-mkgmap:synthesised=yes & mkgmap:bicycle=yes { set mkgmap:highest-resolution-only = true }
-
 name=* { name '${name}' }
 
 highway=* & ref=* { addlabel '${ref}' }
